﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Program.cs" company="MIPS">
//   All rights reserved to MIPS
// </copyright>
// <summary>
//   The program.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace GlimsPureDotNet
{
    using System;
    using System.Windows.Forms;

    using GlimsPureDotNet.Controllers;
    using GlimsPureDotNet.Views;

    /// <summary>
    /// The program.
    /// </summary>
    public static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        public static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            var applicationForm = new ApplicationForm();
            var applicationFormController = new ApplicationFormController(applicationForm);
            Application.Run(applicationForm);
        }
    }
}
