﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IView.cs" company="MIPS">
//   All rights reserved MIPS
// </copyright>
// <summary>
//   Defines the IView type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace GlimsPureDotNet.Views
{
    using GlimsPureDotNet.Controllers;

    /// <summary>
    /// The View interface.
    /// </summary>
    public interface IView
    {
        /// <summary>
        /// The add listener.
        /// </summary>
        /// <param name="controller">
        /// The controller.
        /// </param>
        void AddListener(IController controller);
    }
}
